GET /templates/{templateID}/files/{hash}
Template build file upload URL
Get an upload link for a tar file containing build layer files
Parameters
templateID·string· path · requiredhash·string· path · requiredHash of the files
Responses
201
The upload link where to upload the tar file
Content-Type: application/json
Schema: TemplateBuildFileUpload
present·boolean· requiredWhether the file is already present in the cache
url·string· optionalUrl where the file should be uploaded to
400
Bad request
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
404
Not found
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError